> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact Details

> Create a new contact data with marketing channels and custom fields



## OpenAPI

````yaml post /contact_details
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /contact_details:
    post:
      tags:
        - Contact Details
      summary: Create Contact Details
      description: Create a new contact data with marketing channels and custom fields
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  description: Contact ID
                  format: uuid
                  default: random uuid
                created_at:
                  type: string
                  description: Contact creation date
                  format: timestamp with time zone
                  default: now()
                updated_at:
                  type: string
                  description: Latest update
                  format: timestamp with time zone
                  default: now()
                organisation_id:
                  type: string
                  description: Organisation ID
                  format: uuid
                full_name:
                  type: string
                  description: Name of contact
                  format: text
                  nullable: true
                fts:
                  type: string
                  description: Handle of contact
                  format: tsvector
                  nullable: true
                is_blocked:
                  type: boolean
                  description: Is the contact blocked?
                  format: boolean
                  default: false
                external_id:
                  type: string
                  description: External ID
                  format: text
                  nullable: true
                secondary_external_id:
                  type: string
                  description: Secondary External ID
                  format: text
                  nullable: true
                birthday:
                  type: string
                  description: Birthday of the contact
                  format: date
                  nullable: true
                salutation:
                  type: string
                  description: Salutation
                  format: text
                  nullable: true
                email:
                  type: string
                  description: Email of contact
                  format: text
                  nullable: true
                sms:
                  type: string
                  description: SMS of contact
                  format: text
                  nullable: true
                whatsapp:
                  type: string
                  description: Whatsapp Number
                  format: text
                  nullable: true
                instagram:
                  type: string
                  description: Instagram
                  format: text
                  nullable: true
                facebook:
                  type: string
                  description: Facebook
                  format: text
                  nullable: true
                google_business_messaging:
                  type: string
                  description: Google business messaging account of contact
                  format: text
                  nullable: true
                address_line1:
                  type: string
                  description: First line of the postal address
                  format: text
                  nullable: true
                address_line2:
                  type: string
                  description: Second line of the postal address
                  format: text
                  nullable: true
                city:
                  type: string
                  description: City of the postal address
                  format: text
                  nullable: true
                zipcode:
                  type: string
                  description: Postal code or ZIP code of the address
                  format: text
                  nullable: true
                country:
                  type: string
                  description: Country of the postal address
                  format: text
                  nullable: true
                postal:
                  type: string
                  description: Postal handle or identifier for the contact
                  format: text
                  nullable: true
                number_of_marketing_opt_in_requests:
                  type: integer
                  description: Number of marketing opt in requests
                  format: integer
                latest_marketing_opt_in_request_sent_at:
                  type: string
                  description: Latest marketing opt in request sent at
                  format: timestamp with time zone
                  nullable: true
                campaign_messages_this_month:
                  type: integer
                  description: Campaign Messages this month
                  format: integer
                whatsapp_marketing_opt_in:
                  type: boolean
                  description: WhatsApp marketign opt in
                  format: boolean
                  default: false
                sms_marketing_opt_in:
                  type: boolean
                  description: SMS marketing opt in
                  format: boolean
                  default: false
                email_marketing_opt_in:
                  type: boolean
                  description: Email marketing opt in of contact
                  format: boolean
                  default: false
                facebook_marketing_opt_in:
                  type: boolean
                  description: Facebook marketing opt in
                  format: boolean
                  default: false
                instagram_marketing_opt_in:
                  type: boolean
                  description: Instagram marketing opt in
                  format: boolean
                  default: false
                google_business_messaging_marketing_opt_in:
                  type: boolean
                  description: Google business messaging marketing opt in
                  format: boolean
                  default: false
                postal_marketing_opt_in:
                  type: boolean
                  description: Postal marketing opt in status
                  format: boolean
                  default: true
                whatsapp_transactional_opt_in:
                  type: string
                  description: WhatsApp transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                sms_transactional_opt_in:
                  type: string
                  description: SMS transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                email_transactional_opt_in:
                  type: string
                  description: Email transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                facebook_transactional_opt_in:
                  type: string
                  description: Facebook transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                instagram_transactional_opt_in:
                  type: string
                  description: Instagram transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                google_business_messaging_transactional_opt_in:
                  type: string
                  description: Google business messaging transactional opt in
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
                postal_transactional_opt_in:
                  type: string
                  description: Postal transactional opt in status
                  format: public.opt_in_reason
                  enum:
                    - legitimate_interest
                    - contract_fulfillment
                    - consent_granted
                  nullable: true
        description: contact
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contact_details'
          description: The updated Contact object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/contact_details'
                    title: Contact
                  - title: Empty
                    type: object
                    properties: {}
          description: The Contact was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    contact_details:
      type: object
      properties:
        id:
          type: string
          description: Contact ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Contact creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        full_name:
          type: string
          description: Name of contact
          format: text
          nullable: true
        fts:
          type: string
          description: Handle of contact
          format: tsvector
          nullable: true
        is_blocked:
          type: boolean
          description: Is the contact blocked?
          format: boolean
          default: false
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
        secondary_external_id:
          type: string
          description: Secondary External ID
          format: text
          nullable: true
        birthday:
          type: string
          description: Birthday of the contact
          format: date
          nullable: true
        salutation:
          type: string
          description: Salutation
          format: text
          nullable: true
        email:
          type: string
          description: Email of contact
          format: text
          nullable: true
        sms:
          type: string
          description: SMS of contact
          format: text
          nullable: true
        whatsapp:
          type: string
          description: Whatsapp Number
          format: text
          nullable: true
        instagram:
          type: string
          description: Instagram
          format: text
          nullable: true
        facebook:
          type: string
          description: Facebook
          format: text
          nullable: true
        display_name:
          type: string
          description: Displayed name of contact in the Mateo app
          format: text
          nullable: true
        google_business_messaging:
          type: string
          description: Google business messaging account of contact
          format: text
          nullable: true
        address_line1:
          type: string
          description: First line of the postal address
          format: text
          nullable: true
        address_line2:
          type: string
          description: Second line of the postal address
          format: text
          nullable: true
        city:
          type: string
          description: City of the postal address
          format: text
          nullable: true
        zipcode:
          type: string
          description: Postal code or ZIP code of the address
          format: text
          nullable: true
        country:
          type: string
          description: Country of the postal address
          format: text
          nullable: true
        postal:
          type: string
          description: Postal handle or identifier for the contact
          format: text
          nullable: true
        number_of_marketing_opt_in_requests:
          type: integer
          description: Number of marketing opt in requests
          format: integer
        latest_marketing_opt_in_request_sent_at:
          type: string
          description: Latest marketing opt in request sent at
          format: timestamp with time zone
          nullable: true
        campaign_messages_this_month:
          type: integer
          description: Campaign Messages this month
          format: integer
        whatsapp_marketing_opt_in:
          type: boolean
          description: WhatsApp marketign opt in
          format: boolean
          default: false
        sms_marketing_opt_in:
          type: boolean
          description: SMS marketing opt in
          format: boolean
          default: false
        email_marketing_opt_in:
          type: boolean
          description: Email marketing opt in of contact
          format: boolean
          default: false
        facebook_marketing_opt_in:
          type: boolean
          description: Facebook marketing opt in
          format: boolean
          default: false
        instagram_marketing_opt_in:
          type: boolean
          description: Instagram marketing opt in
          format: boolean
          default: false
        google_business_messaging_marketing_opt_in:
          type: boolean
          description: Google business messaging marketing opt in
          format: boolean
          default: false
        postal_marketing_opt_in:
          type: boolean
          description: Postal marketing opt in status
          format: boolean
          default: true
        whatsapp_transactional_opt_in:
          type: string
          description: WhatsApp transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        sms_transactional_opt_in:
          type: string
          description: SMS transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        email_transactional_opt_in:
          type: string
          description: Email transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        facebook_transactional_opt_in:
          type: string
          description: Facebook transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        instagram_transactional_opt_in:
          type: string
          description: Instagram transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        google_business_messaging_transactional_opt_in:
          type: string
          description: Google business messaging transactional opt in
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
        postal_transactional_opt_in:
          type: string
          description: Postal transactional opt in status
          format: public.opt_in_reason
          enum:
            - legitimate_interest
            - contract_fulfillment
            - consent_granted
          nullable: true
      additionalProperties:
        oneOf:
          - type: string
            example: your string custom field
          - type: string
            enum:
              - requested
              - accepted
              - declined
          - format: date
            type: string
          - format: timestamp with time zone
            type: string
          - type: integer
            example: 456
          - type: boolean
            example: true
          - type: array
            items:
              type: string
            example:
              - item1
              - item2
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````